echo off
CLS
ECHO 
ECHO   Microscope for the PC - Shareware Installation Program                
ECHO 
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Check to see if command line parameter given...                 +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF ARG==ARG%1 GOTO syntaxerr
IF ARG==ARG%2 GOTO syntaxerr
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + If True then parameter missing, so goto syntax err message      +
REM   + Otherwise see if it can be used.                                +
REM   + Is user asking for help...?                                     +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF %1==? GOTO instruct
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Has user quoted a floppy drive in error..?                      +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF %1==A GOTO floppy
IF %1==B GOTO floppy
IF %1==a GOTO floppy
IF %1==b GOTO floppy
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + No, so test to see if DRIVE is real...                          +
REM   + but check to see if test file exists on distribution disc first +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if NOT EXIST MICTEST1.TMP goto filemissing
copy mictest1.tmp %1:\*.* > nul
if exist %1:\mictest1.tmp goto driveokay
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + if not okay file did not copy to named drive do tell user!      +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
:nodrive
ECHO Sorry: Drive %1 can not be copied to! Does it exist?
goto end
:floppy
echo Sorry: Microscope cannot be installed to a floppy drive! 
goto end
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   +                    INSTALL HERE                                 +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
:driveokay
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + get rid of test file from hard disc                             +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
erase %1:\MICTEST1.TMP
ECHO --------------------------------------------------------------------
ECHO       MICROSCOPE V2.0 (C) MOLCOL SOFTWARE 1994
ECHO 
ECHO      VOICE / FAX - TEL: 0181 685 0528 24 HRS (UK).
ECHO    Internet Email   : mol@demon.co.uk
ECHO   
ECHO     "I have tried many things: painting, writing, video
ECHO       and still photography, computing, astronomy, DIY, 
ECHO ı    to name a few. I wished I had discovered Microscopy
ECHO         first. It is the closest I will ever come to seeing 
ECHO     the real nature of things and the miracle of life! "
ECHO      M.Smith (author).
echo --------------------------------------------------------------------
ECHO Attempting Installation of Microscope for the PC to %1:\MSCOPE
ECHO Creating new directory called MSCOPE on hard disc...
md %1:\mscope
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Check does user own Ver 1.0 - display message and leave it alone+
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF NOT EXIST %1:\MSCOPE\MSCOPE.EXE GOTO nover1found
ECHO Microscope Ver 1.0 found on disc.
ECHO Retaining Ver 1.0 and adding Ver 2.0...
:nover1found
ECHO MICROSCOPE will be installed to %1:\MSCOPE directory.
ECHO Press any key to proceed or CTRL C to abort...
pause
cls

ECHO       MICROSCOPE V2.0 (C) MOLCOL SOFTWARE 1994
ECHO 
ECHO      VOICE / FAX - TEL: 0181 685 0528 24 HRS (UK).
ECHO    Internet Email   : mol@demon.co.uk
ECHO   
ECHO     If you've never looked down a real microscope or only
ECHO      saw one briefly at school, you may be missing out on
ECHO ı   an incredible experience. Ring BRUNEL MICROSCOPES (UK)
ECHO        on TEL: 0249 701601 (Corsham, Wilts, UK). Tell them   
ECHO    you want to be a first-timer now you've seen MICROSCOPE
ECHO   and ask how you can get started cheaply. They'll be 
ECHO   friendly and will really help you out.                     
ECHO                       
ECHO                        
echo copying Microscope Ver 2.0 files to %1:\MSCOPE
copy *.* %1:\MSCOPE\*.*
%1:
cd %1:\mscope
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Check to see if we have arrived in the correct directory..?     +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if not exist MSCOPE2A.EXE goto error1
INST2 %1 %2
goto error1
:filemissing
echo The file called MICTEST1.TMP is missing from distribution disc!
echo Installation cannot proceed!
goto end
:error1
echo Install failed : cannot switch to %1:\mscope
goto end
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + user just typed INSTALL (expected) so explain how to install    +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
:syntaxerr
ECHO                                                                         
ECHO           Error: No drive letters given in command line!                
ECHO                                                                         
ECHO 
:instruct
ECHO           Please Install by entering: INSTALL {1} {2}                   
ECHO                                                                         
ECHO     Where {1} equals the Hard Drive Designation of the DISC             
ECHO     you wish to Install to and {2} equals the floppy drive              
ECHO     used to install FROM. Remember to enter a SPACE between             
ECHO     {1} and {2}. Do not use colons (:) in the command line!             
ECHO                                                                         
echo     Examples:-                                                          
ECHO                                                                         
ECHO     INSTALL C A      (Install TO drive C FROM drive A)                  
ECHO     INSTALL D A      (Install TO drive D FROM drive A)                  
ECHO     INSTALL C B      (Install TO drive C FROM drive B)                  
ECHO                                                                         
ECHO 
:end
pause
